Subject: RE: bug#25062: 24.5; Frame title (with "%b" format) changes when going to minibuffer

From: Drew Adams <[email-masked]>
Date: Tue, 29 Nov 2016 10:09:35 -0800 (PST)

>> it is an implementation detail which does not need to be revealed.

No.  It is an indication to the user (1) that Emacs is asking for
minibuffer input and (2) which frame has the focus.

>> The user might wonder why the window title is changing

And wondering might lead to understanding why.  (See above.)

>> just because they are being prompted for some information.

The current buffer and the input focus have changed.

> I actually use this feature all the time: it helps me to find the
> frame which is waiting for some input.  So I don't think we should
> change that.... Sorry, I don't think it's right to change that for 
> everyone.

I was going to say the same thing (except that I don't use
the feature, myself).